# DataExchange
TKXSBase
Interface

# Interface_ParamList Class Reference

`#include <Interface_ParamList.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_ParamList (const Standard_Integer theIncrement=256)
| Creates an vector with size of memmory blok equal to theIncrement .
Standard_Integer | Length () const
| Returns the number of elements of <me>. .
Standard_Integer | Lower () const
| Returns the lower bound. Warning .
Standard_Integer | Upper () const
| Returns the upper bound. Warning .
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Interface_FileParameter &Value)
| Assigns the value <value> to the <index>-th item of this array. .
Standard_EXPORT const Interface_FileParameter & | Value (const Standard_Integer Index) const
| Return the value of the <index>th element of the array. .
const Interface_FileParameter & | operator() (const Standard_Integer Index) const
Standard_EXPORT Interface_FileParameter & | ChangeValue (const Standard_Integer Index)
| return the value of the <index>th element of the array.
Interface_FileParameter & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Clear ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Interface_VectorOfFileParameter | myVector

## Constructor & Destructor Documentation

Standard_EXPORT Interface_ParamList::Interface_ParamList | ( | const Standard_Integer | theIncrement = `256` | ) |

## Member Function Documentation

Standard_EXPORT Interface_FileParameter& Interface_ParamList::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Interface_ParamList::Clear | ( |  | ) |

Standard_EXPORT const Interface_ParamList::Handle | ( | Standard_Type |  | ) | const

Standard_Integer Interface_ParamList::Length | ( |  | ) | const`[inline]`

Standard_Integer Interface_ParamList::Lower | ( |  | ) | const`[inline]`

Interface_FileParameter& Interface_ParamList::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Interface_FileParameter& Interface_ParamList::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

Standard_EXPORT void Interface_ParamList::SetValue | ( | const Standard_Integer | Index,
|  | const Interface_FileParameter & | Value
| ) |

Standard_Integer Interface_ParamList::Upper | ( |  | ) | const`[inline]`

Standard_EXPORT const Interface_FileParameter& Interface_ParamList::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Interface_VectorOfFileParameter Interface_ParamList::myVector `[private]`

The documentation for this class was generated from the following files:

- Interface_ParamList.hxx
- Interface_ParamList.lxx